Subject: Re: [RFC PATCH 7/8] powerpc/purgatory: drop .machine specifier

From: Michael Ellerman <[email-masked]>
Date: Fri, 19 Mar 2021 21:59:29 +1100

Nicholas Piggin <[email-masked]> writes:
> Excerpts from Segher Boessenkool's message of February 26, 2021 1:58 am:
>> On Thu, Feb 25, 2021 at 02:10:05PM +1100, Daniel Axtens wrote:
>>> It's ignored by future versions of llvm's integrated assembler (by not -11).
>>> I'm not sure what it does for us in gas.
>> 
>> It enables all insns that exist on 620 (the first 64-bit PowerPC CPU).
>
> Same question for this, why do we have it at all?

I sent a patch to drop it.

https://patchwork.ozlabs.org/project/linuxppc-dev/patch/[email-masked]/

cheers